Futures Data
Get candles
https://api.lnmarkets.com/v3
GET
/futures/candlesPublicGet the candles (OHLCs) history for a given range
Parameters
fromstring (date-time)Format date-timeDefault: 1970-01-01T00:00:00.000ZStart date, unix epoch 0 by default
tostring (date-time)Format date-timeDefault: 2026-09-12T10:28:28.261ZEnd date, default to current time
limitintegerDefault: 1000Number of entries to return, default to 1000
Min: 1 · Max: 1000
cursorstring (date-time)Format date-timeCursor for pagination
range1m | 3m | 5m | 10m | 15m | 30m | 45m | 1h | 2h | 3h | 4h | 1d | 1w | 1month | 3monthsDefault: 1mResolution of the OHLCs
1m3m5m10m15m30m45m1h2h3h4h1d1w1month3monthsResponse
data*any[]nextCursor*string (date-time) | nullCursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
{
"data": [
null
],
"nextCursor": "2024-01-15T10:30:00.000Z"
}